QGIS Application - Bug report #19626
World map incorrectly drawn when using a different projection than the data source
2018-08-15 09:04 AM -

Status: Reopened

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:3.2.1 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 27453
Description

When | use Natural Earth as data source and want to change projection for the project to customized Robinson, the map breaks apart
(see attached file).

| use a projection as follows:

Proj4: +proj=robin +lon_0=150dE +x_0=0 +y_0=0 +datum=WGS84 +units=m +no_defs

Hope if it's not a bug. But if it is, I'd like to know if there's a workaround.

Related issues:
Related to QGIS Application - Bug report # 19746: Disappearing -180/ 180 lon... Open 2018-09-01

History

#1 - 2018-08-15 11:31 AM - Giovanni Manghi
- Status changed from Open to Feedback

There are limitations (for features crossing the dateline) when you want to reproject global data. One of the tricks it to generate a 0-360 map instead of a
-180/180 one. | believe there is an example on the QGIS manual.

#2 - 2018-08-16 02:32 PM - Richard Duivenvoorde

see #597 including pointers to relevant GRASS solution?

#3 - 2018-08-20 09:09 AM - I

Seems that the issue has no elegant solution yet.
As a reminder to other users, please leave this issue open until wrap around works in future releases.

#4 - 2018-08-20 11:06 AM - Giovanni Manghi

PRIRwrote:

Seems that the issue has no elegant solution yet.

As a reminder to other users, please leave this issue open until wrap around works in future releases.

yes, but probably there are similar tickets already open (cannot do a search now). | would appreciate if you could give it a go, so we can eventually close
the duplicates.
#5 - 2018-08-20 11:10 AM - 2RIl

All right. If there are duplicates, you're free to close this issue.

#6 - 2018-08-20 05:55 PM - Giovanni Manghi
- Status changed from Feedback to Closed
- Resolution set to duplicate

PRIRwrote:

All right. If there are duplicates, you're free to close this issue.

Duplicate of #13380

#7 - 2018-09-01 11:27 AM - Andreas Neumann

- Related to Bug report #19746: Disappearing -180 / 180 longitude grid lines on certain zoom levels added

#8 - 2019-05-24 02:50 AM - P12

- Status changed from Closed to Reopened

I've found that #13380 is closed due to "end of life" of QGIS 2.18 LTR. | will reopen this issue until wrap around works in future releases.

Files

_[PAAAA2- QGIS 2018-08-15 15.02.14.png 310 KB 2018-08-15

2024-03-20 22



